变量值 = 取NPC变量(5);
金币 = 取主角属性("金币");

function Main()

 if(变量值 == 0) then
 提示("我现在有急事需要10000块钱\n如果你能给我我就嫁给你!");
 
  if(金币<10000) then
  选择项("我现在立刻去凑10000块钱给你@凑钱任务","不好意思,我是路过.@exit");
  else
  选择项("我现在给你,你要嫁给我哦!@完成任务","我不喜欢老婆是个小猪@exit");
  end;
 
 elseif(变量值 == 1) then 
 提示("你有10000了吗?");
   if(金币>=10000) then
   选择项("我现在给你,你要嫁给我哦@完成任务","算了,我们不合适@取消任务");
   else
   选择项("喔!还没有,我现在立刻去凑齐.@exit","我后悔了,我觉得你不好 你不适合嫁给我.\n爱情是不可以用金钱来决定的@取消任务");
   end;
   
 else
 提示("哈哈!你被骗了!");
 选择项("8888@exit");
 
 end;
 
end;

function 凑钱任务()
增加任务(3)
置NPC变量(5,1);
NPC任务更新(5,3);
exit();
end;

function 取消任务()
结束任务(3)
置NPC变量(5,0)
NPC任务更新(5,1)

exit();
end;


function 完成任务()
结束任务(3)
置NPC变量(5,3);  
NPC任务更新(5,3);
增加金币(-10000);
提示("呵呵,你人真好但是我已经有老公了\n我现在拿10000块钱去帮我老公去了,拜拜!");
选择项("还我钱来!!@exit","嗯,快去咯.@exit")
end;

Main();